<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.cf.imes.module.executor.dal.mysql.orderImport.OrderImportTempDataMapper">
<!--    <insert id="insertBatch" parameterType="java.util.List">-->
<!--        INSERT INTO order_import_temp_data-->
<!--        (id, organ_id, task_id, order_id, type, material, color, texture, width, length,thickness, brand,-->
<!--        is_composite, category, sub_type, factory, spec, model, unit,creater, detail, create_time)-->
<!--        VALUES-->
<!--        <foreach collection="list" item="item" separator=",">-->
<!--        (#{item.id}, #{item.organId}, #{item.taskId}, #{item.orderId}, #{item.type},#{item.material}, #{item.color}, #{item.texture}, #{item.width}, #{item.length},#{item.thickness}, #{item.brand},-->
<!--        #{item.isComposite}, #{item.category},#{item.subType}, #{item.factory}, #{item.spec}, #{item.model}, #{item.unit},#{item.creater}, #{item.detail}, #{item.createTime})-->
<!--        </foreach>-->
<!--    </insert>-->
</mapper>